mnemonic-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject [01/10] incubator-mnemonic git commit: MNEMONIC-138: Unpack source package to verify in release.sh MNEMONIC-137: Suppress Git errors if source code is not managed by Git for runall.sh
Date Tue, 07 Feb 2017 00:38:39 GMT
Repository: incubator-mnemonic
Updated Branches:
  refs/heads/master edf88c2ba -> 12fb0f6c7


MNEMONIC-138: Unpack source package to verify in release.sh
MNEMONIC-137: Suppress Git errors if source code is not managed by Git for runall.sh


Project: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/commit/22868d41
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/tree/22868d41
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/diff/22868d41

Branch: refs/heads/master
Commit: 22868d410dbf4148dfe2732e8d0ba6fd76f3cbb1
Parents: edf88c2
Author: Wang, Gang(Gary) <gang1.wang@intel.com>
Authored: Mon Jan 2 12:07:03 2017 -0800
Committer: Wang, Gang(Gary) <gang1.wang@intel.com>
Committed: Mon Jan 2 12:07:03 2017 -0800

----------------------------------------------------------------------
 build-tools/release.sh | 27 +++++++++++++++++++--------
 build-tools/runall.sh  |  2 +-
 2 files changed, 20 insertions(+), 9 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/blob/22868d41/build-tools/release.sh
----------------------------------------------------------------------
diff --git a/build-tools/release.sh b/build-tools/release.sh
index 3321d6c..f56958f 100755
--- a/build-tools/release.sh
+++ b/build-tools/release.sh
@@ -86,18 +86,29 @@ mvn clean prepare-package -DskipTests -Dremoteresources.skip=true &&
 mvn prepare-package -DskipTests -Dremoteresources.skip=true &&
 mvn deploy -DskipTests -Dremoteresources.skip=true -P apache-release || { echo "Preparation
failed"; exit; }
 
-RELEASEBASENAME=apache-mnemonic-${RELEASE_VERSION}-incubating-src
-RELEASEFULLNAME=${RELEASEBASENAME}.tar.gz
+RELEASEBASENAME=apache-mnemonic-${RELEASE_VERSION}-incubating
+RELEASESRCBASENAME=${RELEASEBASENAME}-src
+RELEASESRCPKGFULLNAME=${RELEASESRCBASENAME}.tar.gz
+
 pushd target || { echo "Artifacts not found"; exit; }
-md5sum ${RELEASEFULLNAME} > ${RELEASEFULLNAME}.md5 || { echo "Generate md5 failed"; exit;
}
-shasum -a 512 ${RELEASEFULLNAME} > ${RELEASEFULLNAME}.sha512 || { echo "Generate sha failed";
exit; }
+md5sum ${RELEASESRCPKGFULLNAME} > ${RELEASESRCPKGFULLNAME}.md5 || { echo "Generate md5
failed"; exit; }
+shasum -a 512 ${RELEASESRCPKGFULLNAME} > ${RELEASESRCPKGFULLNAME}.sha512 || { echo "Generate
sha failed"; exit; }
+popd
+
+echo "Verifying packaged Source Artifacts"
+rm -rf ${RELEASEBASENAME}/
+tar xzf target/${RELEASESRCPKGFULLNAME} || { echo "Failed to unpack the source artifact";
exit; }
+pushd ${RELEASEBASENAME} || { echo "Unpacked source directory does not exist"; exit; }
+mvn clean install || { echo "Failed to compile the packaged source artifact"; exit; }
+build-tools/runall.sh || { echo "Failed to verify the packaged source artifact"; exit; }
 popd
+rm -rf ${RELEASEBASENAME}/
 
 echo "Prepared Artifacts:"
-echo `ls target/${RELEASEFULLNAME}`
-echo `ls target/${RELEASEFULLNAME}.asc`
-echo `ls target/${RELEASEFULLNAME}.md5`
-echo `ls target/${RELEASEFULLNAME}.sha512`
+echo `ls target/${RELEASESRCPKGFULLNAME}`
+echo `ls target/${RELEASESRCPKGFULLNAME}.asc`
+echo `ls target/${RELEASESRCPKGFULLNAME}.md5`
+echo `ls target/${RELEASESRCPKGFULLNAME}.sha512`
 echo "Please upload those artifacts to your stage repository now."
 continueprompt
 

http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/blob/22868d41/build-tools/runall.sh
----------------------------------------------------------------------
diff --git a/build-tools/runall.sh b/build-tools/runall.sh
index 9e277ce..ed6f8eb 100755
--- a/build-tools/runall.sh
+++ b/build-tools/runall.sh
@@ -18,7 +18,7 @@
 #
 
 echo [INFO] Cleaning up and re-building...
-git clean -xdf > /dev/null
+git ls-files --error-unmatch pom.xml > /dev/null 2>&1 && git clean -xdf
> /dev/null
 
 if [ ! -d "testlog" ]
 then


Mime
View raw message